- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cNoSynchronization Class Reference
[Parallel simulation support]

"Dummy" implementation -- just pass messages between partitions, without any synchronization. More...

`#include <cnosynchronization.h>`

Inheritance diagram for cNoSynchronization:

List of all members.

## Public Member Functions
| cNoSynchronization ()
virtual | ~cNoSynchronization ()
virtual void | startRun ()
virtual void | endRun ()
virtual cMessage * | getNextEvent ()

## Detailed Description

"Dummy" implementation -- just pass messages between partitions, without any synchronization.

Of course incausalities may occur which terminate the simulation with error, so this class is only useful as a base "template" for implementing "real" synchronization protocols.

## Constructor & Destructor Documentation

cNoSynchronization::cNoSynchronization | ( |  | ) |

| Constructor.

virtual cNoSynchronization::~cNoSynchronization | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cNoSynchronization::endRun | ( |  | ) | `[virtual]`

| Called at the end of a simulation run. Implements cParsimSynchronizer.

virtual cMessage* cNoSynchronization::getNextEvent | ( |  | ) | `[virtual]`

| Scheduler function. It processes whatever comes from other partitions, then returns msgQueue.peekFirst(). Performs no synchronization with other partitions, so incausalities may occur which stop the simulation with an error (see also class comment). Implements cParsimSynchronizer.

virtual void cNoSynchronization::startRun | ( |  | ) | `[virtual]`

| Called at the beginning of a simulation run. Implements cParsimSynchronizer.

The documentation for this class was generated from the following file:

- cnosynchronization.h